cURL
curl --request PUT \
--url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action/%7BactionId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","config":null}'{
"config": {
"tableId": "<string>",
"fields": {},
"baseId": "<string>",
"loopKey": {
"fact": "<string>",
"path": "<string>",
"keyStack": [
"<string>"
],
"params": {
"pipes": []
}
},
"_fieldsOrder": [
"<string>"
]
},
"id": "<string>",
"name": "<string>",
"description": "<string>",
"testResult": {
"createdTime": "<string>",
"spent": 123,
"inputRaw": null,
"outputRaw": null,
"inputVariables": {},
"outputVariables": {},
"errorMsg": "<string>"
},
"outputVariables": {},
"inputVariables": {},
"createdTime": "<string>",
"lastModifiedTime": "<string>"
}automation
Put base workflow action
update a automation workflow action
PUT
/
base
/
{baseId}
/
workflow
/
{workflowId}
/
action
/
{actionId}
cURL
curl --request PUT \
--url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action/%7BactionId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","config":null}'{
"config": {
"tableId": "<string>",
"fields": {},
"baseId": "<string>",
"loopKey": {
"fact": "<string>",
"path": "<string>",
"keyStack": [
"<string>"
],
"params": {
"pipes": []
}
},
"_fieldsOrder": [
"<string>"
]
},
"id": "<string>",
"name": "<string>",
"description": "<string>",
"testResult": {
"createdTime": "<string>",
"spent": 123,
"inputRaw": null,
"outputRaw": null,
"inputVariables": {},
"outputVariables": {},
"errorMsg": "<string>"
},
"outputVariables": {},
"inputVariables": {},
"createdTime": "<string>",
"lastModifiedTime": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Successful updated
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
Show child attributes
Show child attributes
node id
Available options:
action This Action will activate when a record is created in a table.
Available options:
createRecord name of the node
description of the node
action test result
Show child attributes
Show child attributes
output variables
input variables
created time
last modified time
Last modified on March 5, 2026
Was this page helpful?
⌘I

